
#ifndef _olc_h_
#define _olc_h_

#define NUM_MATERIALS           17
#define NUM_BARRIERS            9
#define NUM_AFF_FLAGS           22
#define NUM_ITEM_TYPES          35

// extern functions
extern void write_index_file(char *suffix);

#define CH              d->character
#define CLS(ch)         send_to_char("\033[H\033[J", ch)
#define ZCMD            zone_table[zone].cmd[cmd_no]

#define IEDIT_CONFIRM_EDIT           0
#define IEDIT_MAIN_MENU              1
#define IEDIT_EDIT_NAMELIST          2
#define IEDIT_SHORTDESC              3
#define IEDIT_DESC                   4
#define IEDIT_LONGDESC               5
#define IEDIT_TYPE                   6
#define IEDIT_EXTRAS                 7
#define IEDIT_WEAR                   8
#define IEDIT_WEIGHT                 9
#define IEDIT_COST                  10
#define IEDIT_COSTPERDAY            11
#define IEDIT_TIMER                 12
#define IEDIT_VALUE_1               13
#define IEDIT_VALUE_2               14
#define IEDIT_VALUE_3               15
#define IEDIT_VALUE_4               16
#define IEDIT_VALUE_5               17
#define IEDIT_VALUE_6               18
#define IEDIT_VALUE_7               19
#define IEDIT_APPLY                 20
#define IEDIT_APPLYMOD              21
#define IEDIT_EXTRADESC_KEY         22
#define IEDIT_CONFIRM_SAVEDB        23
#define IEDIT_CONFIRM_SAVESTRING    24
#define IEDIT_PROMPT_APPLY          25
#define IEDIT_EXTRADESC_DESCRIPTION 26
#define IEDIT_EXTRADESC_MENU        27
#define IEDIT_MATERIAL                  28
#define IEDIT_RATING                    29
#define IEDIT_AFF_BITS                  30
#define IEDIT_VALUE_8                   31
#define IEDIT_VALUE_9                   32
#define IEDIT_VALUE_10                  33

/* Submodes of REDIT connectedness */
#define REDIT_CONFIRM_EDIT              0
#define REDIT_MAIN_MENU                 1
#define REDIT_NAME                      2
#define REDIT_DESC                      3
#define REDIT_FLAGS                     4
#define REDIT_SECTOR                    5
#define REDIT_EXIT_MENU                 6
#define REDIT_CONFIRM_SAVEDB            7
#define REDIT_CONFIRM_SAVESTRING        8
#define REDIT_EXIT_NUMBER               9
#define REDIT_EXIT_DESCRIPTION          10
#define REDIT_EXIT_KEYWORD              11
#define REDIT_EXIT_KEY                  12
#define REDIT_EXIT_KEY_LEV              13
#define REDIT_EXIT_DOORFLAGS            14
#define REDIT_EXTRADESC_MENU            15
#define REDIT_EXTRADESC_KEY             16
#define REDIT_EXTRADESC_DESCRIPTION     17
#define REDIT_LIBRARY_RATING            18
#define REDIT_EXIT_HIDDEN               19
#define REDIT_EXIT_BARRIER              20
#define REDIT_EXIT_MATERIAL             21
#define REDIT_ROOM_FUNCTION             22
#define REDIT_MSP_TRIGGER               23
#define REDIT_COORD_MENU				24
#define REDIT_XCOORD					25
#define REDIT_YCOORD					26
#define REDIT_ZCOORD					27
// modes of MEDIT
#define MEDIT_CONFIRM_EDIT              0
#define MEDIT_CONFIRM_SAVESTRING        1
#define MEDIT_MAIN_MENU                 2
#define MEDIT_EDIT_NAMELIST             3
#define MEDIT_SHORT_DESCR               4
#define MEDIT_REG_DESCR                 5
#define MEDIT_LONG_DESCR                6
#define MEDIT_MOB_FLAGS                 7
#define MEDIT_AFF_FLAGS                 8
#define MEDIT_ALIGNMENT                 9
#define MEDIT_NUYEN                     10
#define MEDIT_EXPERIENCE                11
#define MEDIT_ATTRIBUTES                12
#define MEDIT_BOD                       13
#define MEDIT_QUI                       14
#define MEDIT_STR                       15
#define MEDIT_CHA                       16
#define MEDIT_INT                       17
#define MEDIT_WIL                       18
#define MEDIT_MAG                       19
#define MEDIT_BALLISTIC                 20
#define MEDIT_IMPACT                    21
#define MEDIT_PHYSICAL                  22
#define MEDIT_MENTAL                    23
#define MEDIT_POSITION                  24
#define MEDIT_DEFAULT_POSITION          25
#define MEDIT_GENDER                    26
#define MEDIT_WEIGHT                    27
#define MEDIT_HEIGHT                    28
#define MEDIT_LEVEL                     29
#define MEDIT_SKILLS                    30
#define MEDIT_SKILL1                    31
#define MEDIT_SKILL2                    32
#define MEDIT_SKILL3                    33
#define MEDIT_SKILL4                    34
#define MEDIT_SKILL5                    35
#define MEDIT_ATTACK_TYPE               36
#define MEDIT_SKILL1_VAL                37
#define MEDIT_SKILL2_VAL                38
#define MEDIT_SKILL3_VAL                39
#define MEDIT_SKILL4_VAL                40
#define MEDIT_SKILL5_VAL                41
#define MEDIT_ARRIVE_MSG                42
#define MEDIT_LEAVE_MSG                 43
#define MEDIT_CLASS                 44
#define MEDIT_CREDSTICK                 45

// quest defines
#define QEDIT_CONFIRM_EDIT                0
#define QEDIT_CONFIRM_SAVESTRING          1
#define QEDIT_MAIN_MENU                   2
#define QEDIT_JOHNSON                     3
#define QEDIT_TIME                        4
#define QEDIT_MIN_REP                     5
#define QEDIT_MAX_REP                     6
#define QEDIT_NUYEN                       7
#define QEDIT_KARMA                       8
#define QEDIT_M_MENU                      9
#define QEDIT_M_AWAIT_NUMBER             10
#define QEDIT_M_VNUM                     11
#define QEDIT_M_NUYEN                    12
#define QEDIT_M_KARMA                    13
#define QEDIT_M_LOAD                     14
#define QEDIT_M_OBJECTIVE                15
#define QEDIT_M_LDATA                    16
#define QEDIT_M_LDATA2                   17
#define QEDIT_M_ODATA                    18
#define QEDIT_O_MENU                     19
#define QEDIT_O_AWAIT_NUMBER             20
#define QEDIT_O_VNUM                     21
#define QEDIT_O_NUYEN                    22
#define QEDIT_O_KARMA                    23
#define QEDIT_O_LOAD                     24
#define QEDIT_O_OBJECTIVE                25
#define QEDIT_O_LDATA                    26
#define QEDIT_O_LDATA2                   27
#define QEDIT_O_ODATA                    28
#define QEDIT_INTRO                      29
#define QEDIT_DECLINE                    30
#define QEDIT_QUIT                       31
#define QEDIT_FINISH                     32
#define QEDIT_INFO                       33
#define QEDIT_REWARD                     34
#define QEDIT_SHOUR			 35
#define QEDIT_EHOUR			 36
#define QEDIT_SSTRING			 37
#define QEDIT_ESTRING			 38

//shop defines
#define SHEDIT_CONFIRM_EDIT               0
#define SHEDIT_CONFIRM_SAVESTRING         1
#define SHEDIT_MAIN_MENU                  2
#define SHEDIT_PRODUCING                  3
#define SHEDIT_PROFIT_BUY                 4
#define SHEDIT_PROFIT_SELL                5
#define SHEDIT_PERCENTAGE                 6
#define SHEDIT_BUY_TYPE_MENU              7
#define SHEDIT_NO_SUCH_ITEM1              8
#define SHEDIT_NO_SUCH_ITEM2              9
#define SHEDIT_MISSING_CASH1             10
#define SHEDIT_MISSING_CASH2             11
#define SHEDIT_DO_NOT_BUY                12
#define SHEDIT_MESSAGE_BUY               13
#define SHEDIT_MESSAGE_SELL              14
#define SHEDIT_TEMPER                    15
#define SHEDIT_BITVECTOR                 16
#define SHEDIT_KEEPER                    17
#define SHEDIT_WITH_WHO                  18
#define SHEDIT_IN_ROOM                   19
#define SHEDIT_OPEN1                     20
#define SHEDIT_CLOSE1                    21
#define SHEDIT_OPEN2                     22
#define SHEDIT_CLOSE2                    23

// zone defines
#define ZEDIT_CONFIRM_EDIT_DATA         0
#define ZEDIT_CONFIRM_CREATE_DATA        1
#define ZEDIT_CONFIRM_ADD_CMD           2
#define ZEDIT_CONFIRM_EDIT_CMD          3
#define ZEDIT_DATA_MENU                 4
#define ZEDIT_ZONE_NAME                 5
#define ZEDIT_TOP_OF_ZONE               6
#define ZEDIT_LIFESPAN                  7
#define ZEDIT_RESET_MODE                8
#define ZEDIT_CONFIRM_SAVEDATA          9
#define ZEDIT_COMMAND_MENU              10
#define ZEDIT_CONFIRM_SAVECMDS          11
#define ZEDIT_IF_FLAG_CMD               12
#define ZEDIT_CMD_TYPE                  13
#define ZEDIT_ARG1                      14
#define ZEDIT_ARG2                      15
#define ZEDIT_ARG3                      16
#define ZEDIT_DIRECTION_OF_DOOR         17
#define ZEDIT_REMOVE_ROOM               18
#define ZEDIT_LOAD_ROOM                 19
#define ZEDIT_WEAR                      20
#define ZEDIT_DOOR_STATE                21
#define ZEDIT_CONFIRM_INSERT_CMD        22
#define ZEDIT_SECURITY              23
#define ZEDIT_ID_LIST                   24
#define ZEDIT_CONNECTED           25

#define CEDIT_CONFIRM_EDIT        0
#define CEDIT_MAIN_MENU           1
#define CEDIT_CONFIRM_SAVESTRING  2
#define CEDIT_ALIAS               3
#define CEDIT_SHORT_DESC          4
#define CEDIT_DESC                5
#define CEDIT_LONG_DESC           6

#endif
